
function love.load()
	gr, ky	= love.graphics, love.keyboard
	bckgnd	= gr.newImage( 'test.jpg')
	wd, ht	= gr.getWidth(),gr.getHeight()
	stencil = { x = wd/2, y = ht/2, size = 100 }
	love.window.setTitle( 'Simple Stencil Test' )
	end

function love.draw()
	gr.setColor( 255, 255, 255, 255 )
	gr.draw( bckgnd )
	gr.setInvertedStencil( define_stencil )
		gr.setColor( 5, 5, 5, 195 )
		gr.rectangle( 'fill', 0, 0, 800, 600 )
		gr.setInvertedStencil()
	gr.setColor( 255, 255, 0, 255 )
	gr.print( 'FPS: '..love.timer.getFPS(), wd-100, 10 )
	target( stencil.x, stencil.y, stencil.size )
	gr.print('Movement: errow keys',10,550)
	gr.print('Circle Size: <z><x>',10,570)
	end

function love.update( dt )
	if ky.isDown('left')	then stencil.x = stencil.x - 1		end
	if ky.isDown('right')	then stencil.x = stencil.x + 1		end
	if ky.isDown( 'up'	)	then stencil.y = stencil.y - 1		end
	if ky.isDown('down')	then stencil.y = stencil.y + 1		end
	if ky.isDown('z')		then stencil.size= stencil.size - 1	end
	if ky.isDown('x')		then stencil.size= stencil.size + 1	end
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' ) end
	end

function define_stencil()
	love.graphics.circle( 'fill', stencil.x, stencil.y, stencil.size )
	end

function target( x, y, s )	-- location & size
	gr.rectangle( 'line', x-s/10, y-s/10, s/5, s/5 )
	gr.line( x-s/2, y, x-s/4, y )
	gr.line( x+s/2, y, x+s/4, y )
	gr.line( x, y-s/2, x, y-s/4 )
	gr.line( x, y+s/2, x, y+s/4 )
	end
